# Jenkins SSH Agent with Podman

Based on [jenkins/ssh-agent](https://hub.docker.com/r/jenkins/ssh-agent) with
the addition of rootless podman.

In order for running this container within podman, the following options should
be set:

- --security-opt=label=disable
- --security-opt=unmask=ALL
- --security-opt=seccomp=unconfined
- --device=/dev/net/tun

## Environment Variables

- `JENKINS_AGENT_SSH_PUBKEY`: SSH public key accepted by the agent.

## Volumes

- `/home/jenkins`: state

## Ports

- `22`: ssh server
